using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_YeMian_XiuGaiWenJianJia : System.Web.UI.Page
{
    private 访问 访问;
    protected String 加载代码;
    private String 文件夹位置;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改文件夹", "网站后台","修改文件夹",new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (Request.QueryString["folder"] == null)
            文件夹位置 = Request.QueryString["ti"].Substring(4);
        else
            文件夹位置 = Request.QueryString["folder"];
        Label1.Text = this.文件夹位置;
        if (this.IsPostBack)
        {
            访问.验证权限("8");
            String _文件夹位置, _文件夹名称;
            获取位置和名称(this.文件夹位置, out _文件夹位置, out _文件夹名称);
            修改文件夹(_文件夹位置, _文件夹名称);
        }
        else
            初始化文件夹();
    }

    private void 初始化文件夹()
    {
        String 文件夹位置 = this.文件夹位置;
        String 新文件夹位置, 文件夹名称;
        获取位置和名称(文件夹位置, out 新文件夹位置, out 文件夹名称);

        WenJianJiaWeiZhi.Text = 文件夹名称;
    }

    private void 获取位置和名称(String 文件夹, out String 文件夹位置, out String 文件夹名称)
    {
        文件夹 = 文件夹.Substring(0, 文件夹.Length - 1);
        文件夹位置 = 文件夹.Substring(0, 文件夹.LastIndexOf('/')+1);
        文件夹名称 = 文件夹.Substring(文件夹.LastIndexOf('/') + 1);
    }

    private void 修改文件夹(String _文件夹位置,String _文件夹名称)
    {
        String 文件夹位置 = WenJianJiaWeiZhi.Text;

        if (文件夹位置 == "")
            throw new Exception("文件夹位置不能为空");
        if (文件夹位置.IndexOf('/') != -1 || 文件夹位置.IndexOf('\\') != -1)
            throw new Exception("文件夹位置不能包含'/'字符");

        if (_文件夹名称 != 文件夹位置)
        {
            if (Directory.Exists(Server.MapPath(程序.安装位置 + _文件夹位置.Substring(1) + "/" + 文件夹位置)))
                throw new Exception("文件夹不存在");
            //throw new Exception(Server.MapPath(程序.安装位置 + "Data/WapPage" + this.文件夹位置) + "," + Server.MapPath(程序.安装位置 + "Data/WapPage" + _文件夹位置 + "/" + 文件夹位置 + "/"));
            if (this.文件夹位置.StartsWith("/club/", StringComparison.OrdinalIgnoreCase))
                new DirectoryInfo(Server.MapPath(程序.安装位置 + "Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage" + this.文件夹位置.Substring(5)))
                .MoveTo(Server.MapPath(程序.安装位置 + "Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage" + _文件夹位置.Substring(5) + "/" + 文件夹位置 + "/"));
            else
                new DirectoryInfo(Server.MapPath(程序.安装位置 + "Template/Content/" + 程序.设置["默认模板"] + "/WapPage" + this.文件夹位置))
                .MoveTo(Server.MapPath(程序.安装位置 + "Template/Content/" + 程序.设置["默认模板"] + "/WapPage" + _文件夹位置 + "/" + 文件夹位置 + "/"));

            new DirectoryInfo(Server.MapPath(程序.安装位置 + this.文件夹位置.Substring(1)))
                .MoveTo(Server.MapPath(程序.安装位置 + _文件夹位置.Substring(1) + "/" + 文件夹位置));
        }
        加载代码 = "window.open('../DH_YeMianGuanLi.aspx','ZuoDaoHang');";
    }
}
